%global srcname azure-sdk
%global common_description This project provides a set of Python packages that make it easy to access\
Management (Virtual Machines, ...) or Runtime (ServiceBus using HTTP, Batch,\
Monitor) components of Microsoft Azure Complete feature list of this repo and\
where to find Python packages not in this repo can be found on our Azure SDK for\
Python documentation.

# Ignore bytecode compilation errors with Python 2 (since the library provides
# some Python 3-only files)
%global _python_bytecompile_errors_terminate_build 0%{!?_with_python2}

%global msrest_min_version 0.4.26
%global msrestazure_min_version 0.5.0

Name:           python-%{srcname}
Version:        4.0.0
Release:        1%{?dist}
Summary:        Microsoft Azure SDK for Python

# All packages are licensed under the MIT license, except:
# - azure-servicebus
# - azure-servicemanagement-legacy
License:        MIT and ASL 2.0
URL:            https://github.com/Azure/azure-sdk-for-python
Source0:        %{url}/archive/azure_%{version}/%{srcname}-%{version}.tar.gz
# Fix build with old versions of setuptools library
Patch0:         %{name}-4.0.0-setup.patch
# Install namespace package modules (disabled by default, may be required by
# modules depending on Azure SDK for development)
Patch1:         %{name}-4.0.0-nspkgs.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-msrest >= %{msrest_min_version}
Requires:       python-msrestazure >= %{msrestazure_min_version}
Requires:       python-requests
Requires:       %{!?rhel:python-}pyOpenSSL
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%prep
%autosetup -p0 -n %{srcname}-for-python-azure_%{version}%{?prerelease}


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%doc CONTRIBUTING.md README.rst
%license LICENSE.txt
%{python2_sitelib}/azure/
%{python2_sitelib}/azure_*.egg-info/


%changelog
* Mon Feb 04 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 4.0.0-1
- Initial RPM release
